UbixOS V2 2.0

Data Fields
Elf_GNU_Hash_Header Struct Reference

`#include <elf_common.h>`

Collaboration diagram for Elf_GNU_Hash_Header:

## Data Fields
uint32_t | gh_maskwords
uint32_t | gh_nbuckets
uint32_t | gh_shift2
uint32_t | gh_symndx

## Detailed Description

Definition at line 110 of file elf_common.h.

## Field Documentation

## ◆ gh_maskwords

uint32_t Elf_GNU_Hash_Header::gh_maskwords

Definition at line 113 of file elf_common.h.

## ◆ gh_nbuckets

uint32_t Elf_GNU_Hash_Header::gh_nbuckets

Definition at line 111 of file elf_common.h.

## ◆ gh_shift2

uint32_t Elf_GNU_Hash_Header::gh_shift2

Definition at line 114 of file elf_common.h.

## ◆ gh_symndx

uint32_t Elf_GNU_Hash_Header::gh_symndx

Definition at line 112 of file elf_common.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/elf_common.h